Index: plottools/src/danse/common/plottools/PlotPanel.py
===================================================================
--- plottools/src/danse/common/plottools/PlotPanel.py	(revision 6e75ed00993b61a2a3512eed9133a3721ced22b5)
+++ plottools/src/danse/common/plottools/PlotPanel.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -1423,13 +1393,14 @@
                 zmax_2D_temp = math.log10(self.zmax_2D)
                  
-        self.image(data=self.data, qx_data=self.qx_data, 
-                   qy_data=self.qy_data, xmin=self.xmin_2D, 
+        self.image(data=self.data, qx_data=self.qx_data,
+                   qy_data=self.qy_data, xmin=self.xmin_2D,
                    xmax=self.xmax_2D,
-                   ymin=self.ymin_2D, ymax=self.ymax_2D, 
+                   ymin=self.ymin_2D, ymax=self.ymax_2D,
                    cmap=self.cmap, zmin=zmin_2D_temp,
                    zmax=zmax_2D_temp)
       
-    def image(self, data, qx_data, qy_data, xmin, xmax, ymin, ymax, 
-              zmin, zmax, color=0, symbol=0, markersize=0, label='data2D', cmap=DEFAULT_CMAP):
+    def image(self, data, qx_data, qy_data, xmin, xmax, ymin, ymax,
+              zmin, zmax, color=0, symbol=0, markersize=0,
+              label='data2D', cmap=DEFAULT_CMAP):
         """
         Render the current data
@@ -1443,5 +1414,5 @@
         self.ymin_2D = ymin
         self.ymax_2D = ymax
-        self.zmin_2D = zmin 
+        self.zmin_2D = zmin
         self.zmax_2D = zmax
         c = self._color(color)
@@ -1449,5 +1420,5 @@
         if self.data == None:
             return
-        if self.data.ndim == 1:    
+        if self.data.ndim == 1:
             output = self._build_matrix()
         else:
@@ -1456,13 +1427,13 @@
         if self.scale == 'log_{10}':
             try:
-                if  self.zmin_2D  <= 0  and  len(output[output > 0]) > 0:
-                    zmin_temp = self.zmin_2D 
+                if  self.zmin_2D <= 0  and len(output[output > 0]) > 0:
+                    zmin_temp = self.zmin_2D
                     output[output>0] = numpy.log10(output[output>0])
                     #In log scale Negative values are not correct in general
                     #output[output<=0] = math.log(numpy.min(output[output>0]))
-                elif self.zmin_2D  <= 0:
+                elif self.zmin_2D <= 0:
                     zmin_temp = self.zmin_2D
-                    output[output>0] = numpy.zeros(len(output))  
-                    output[output<=0] = -32       
+                    output[output>0] = numpy.zeros(len(output))
+                    output[output<=0] = -32
                 else: 
                     zmin_temp = self.zmin_2D
@@ -1481,8 +1452,8 @@
             self.subplot.figure.subplots_adjust(left=0.2, right=.8, bottom=.2)
             
-            im = self.subplot.imshow(output, interpolation='nearest', 
+            im = self.subplot.imshow(output, interpolation='nearest',
                                      origin='lower',
                                      vmin=zmin_temp, vmax=self.zmax_2D,
-                                     cmap=self.cmap, 
+                                     cmap=self.cmap,
                                      extent=(self.xmin_2D, self.xmax_2D,
                                                 self.ymin_2D, self.ymax_2D))
@@ -1494,5 +1465,5 @@
             self.subplot.figure.clear()
 
-            self.subplot.figure.subplots_adjust(left=0.1, right=.8, bottom=.1)  
+            self.subplot.figure.subplots_adjust(left=0.1, right=.8, bottom=.1)
 
             X = self.x_bins[0:-1]
@@ -1514,5 +1485,5 @@
                     logging.error("PlotPanel could not import Axes3D")
                 self.subplot.figure.clear()
-                ax =  Axes3D(self.subplot.figure)
+                ax = Axes3D(self.subplot.figure)
                 if len(X) > 60:
                     ax.cla()
@@ -1521,13 +1492,11 @@
             im = ax.plot_surface(X, Y, output, rstride=1, cstride=1, cmap=cmap,
                                    linewidth=0, antialiased=False)
-            #ax.set_zlim3d(zmin_temp, self.zmax_2D)
-            #ax.set_frame_on(False)
-            self.subplot.set_axis_off()  
+            self.subplot.set_axis_off()
             
         if cbax == None:
             ax.set_frame_on(False)
-            cb =self.subplot.figure.colorbar(im, shrink=0.8, aspect=20)
+            cb = self.subplot.figure.colorbar(im, shrink=0.8, aspect=20)
         else:
-            cb =self.subplot.figure.colorbar(im, cax=cbax)
+            cb = self.subplot.figure.colorbar(im, cax=cbax)
         cb.update_bruteforce(im)
         cb.set_label('$' + self.scale + '$')
@@ -1538,8 +1507,8 @@
     
     def _build_matrix(self):
-        """ 
+        """
         Build a matrix for 2d plot from a vector
         Returns a matrix (image) with ~ square binning
-        Requirement: need 1d array formats of 
+        Requirement: need 1d array formats of
         self.data, self.qx_data, and self.qy_data
         where each one corresponds to z, x, or y axis values
@@ -1561,25 +1530,25 @@
         #Note: Can not use scipy.interpolate.Rbf:
         # 'cause too many data points (>10000)<=JHC.
-        # 1d array to use for weighting the data point averaging 
-        #when they fall into a same bin.          
-        weights_data  = numpy.ones([self.data.size])
-        # get histogram of ones w/len(data); this will provide 
+        # 1d array to use for weighting the data point averaging
+        #when they fall into a same bin.
+        weights_data = numpy.ones([self.data.size])
+        # get histogram of ones w/len(data); this will provide
         #the weights of data on each bins
-        weights, xedges, yedges = numpy.histogram2d(x=self.qy_data, 
+        weights, xedges, yedges = numpy.histogram2d(x=self.qy_data,
                                                     y=self.qx_data,
-                                                bins=[self.y_bins, self.x_bins],
-                                                    weights=weights_data)
+                                            bins=[self.y_bins, self.x_bins],
+                                            weights=weights_data)
         # get histogram of data, all points into a bin in a way of summing
-        image, xedges, yedges = numpy.histogram2d(x=self.qy_data, 
+        image, xedges, yedges = numpy.histogram2d(x=self.qy_data,
                                                   y=self.qx_data,
-                                                bins=[self.y_bins, self.x_bins],
-                                                weights=self.data)
+                                            bins=[self.y_bins, self.x_bins],
+                                            weights=self.data)
         # Now, normalize the image by weights only for weights>1: 
         # If weight == 1, there is only one data point in the bin so
         # that no normalization is required.
-        image[weights>1] = image[weights>1]/weights[weights>1]
+        image[weights > 1] = image[weights>1]/weights[weights>1]
         # Set image bins w/o a data point (weight==0) as None (was set to zero
         # by histogram2d.)
-        image[weights==0] = None
+        image[weights == 0] = None
 
         # Fill empty bins with 8 nearest neighbors only when at least
@@ -1587,8 +1556,8 @@
         loop = 0
         
-        # do while loop until all vacant bins are filled up up 
+        # do while loop until all vacant bins are filled up up
         #to loop = max_loop
         while(not(numpy.isfinite(image[weights == 0])).all()):
-            if loop >= max_loop: # this protects never-ending loop
+            if loop >= max_loop:  # this protects never-ending loop
                 break
             image = self._fillup_pixels(image=image, weights=weights)
@@ -1597,13 +1566,12 @@
         return image
     
-    def _get_bins(self): 
+    def _get_bins(self):
         """
         get bins
-        set x_bins and y_bins into self, 1d arrays of the index with 
+        set x_bins and y_bins into self, 1d arrays of the index with
         ~ square binning
-        Requirement: need 1d array formats of 
+        Requirement: need 1d array formats of
         self.qx_data, and self.qy_data
         where each one corresponds to  x, or y axis values
-        
         """
         # No qx or qy given in a vector format
@@ -1624,9 +1592,9 @@
         y_size = ymax - ymin
         
-        # estimate the # of pixels on each axes  
+        # estimate the # of pixels on each axes
         npix_y = int(math.floor(math.sqrt(len(self.qy_data))))
         npix_x = int(math.floor(len(self.qy_data) / npix_y))
 
-        # bin size: x- & y-directions     
+        # bin size: x- & y-directions
         xstep = x_size / (npix_x - 1)
         ystep = y_size / (npix_y - 1)
@@ -1640,13 +1608,13 @@
         # store x and y bin centers in q space
         x_bins = numpy.arange(xmin, xmax + xstep / 10, xstep)
-        y_bins = numpy.arange(ymin, ymax + ystep / 10, ystep) 
+        y_bins = numpy.arange(ymin, ymax + ystep / 10, ystep)
       
         #set x_bins and y_bins
-        self.x_bins = x_bins 
-        self.y_bins = y_bins 
-
-    def _fillup_pixels(self, image=None, weights=None): 
-        """
-        Fill z values of the empty cells of 2d image matrix 
+        self.x_bins = x_bins
+        self.y_bins = y_bins
+
+    def _fillup_pixels(self, image=None, weights=None):
+        """
+        Fill z values of the empty cells of 2d image matrix
         with the average over up-to next nearest neighbor points
         
@@ -1691,5 +1659,4 @@
                     # go 4 next nearest neighbors when no non-zero
                     # neighbor exists
-                    #if weight[n_y][n_x] == 0:
                     if n_y != 0 and n_x != 0 and\
                          numpy.isfinite(image[n_y-1][n_x-1]):
@@ -1721,6 +1688,6 @@
         self.subplot.set_xscale('linear')
         
-        hlist = self.subplot.plot(x, y, color=c, marker='', 
-                                  linestyle='-', label=label)
+        self.subplot.plot(x, y, color=c, marker='',
+                          linestyle='-', label=label)
         self.subplot.set_yscale(self.yscale)
         self.subplot.set_xscale(self.xscale)
@@ -1728,9 +1695,9 @@
     def _color(self, c):
         """Return a particular colour"""
-        return self.colorlist[c%len(self.colorlist)]
+        return self.colorlist[c % len(self.colorlist)]
 
     def _symbol(self, s):
         """Return a particular symbol"""
-        return self.symbollist[s%len(self.symbollist)]
+        return self.symbollist[s % len(self.symbollist)]
    
     def _replot(self, remove_fit=False):
@@ -1753,6 +1720,6 @@
         Receive the x and y transformation from myDialog,
         Transforms x and y in View
-        and set the scale    
-        """ 
+        and set the scale
+        """
         # The logic should be in the right order
         # Delete first, and then get the whole list...
@@ -1763,7 +1730,7 @@
         list = self.graph.returnPlottable()
         # Changing the scale might be incompatible with
-        # currently displayed data (for instance, going 
+        # currently displayed data (for instance, going
         # from ln to log when all plotted values have
-        # negative natural logs). 
+        # negative natural logs).
         # Go linear and only change the scale at the end.
         self.set_xscale("linear")
@@ -1789,5 +1756,5 @@
                 self.xaxis_label = xname
                 self.xaxis_unit = xunits
-            # Goes through all possible scales    
+            # Goes through all possible scales
             if(self.xLabel == "x"):
                 item.transformX(transform.toX, transform.errToX)
@@ -1795,13 +1762,13 @@
             if(self.xLabel == "x^(2)"):
                 item.transformX(transform.toX2, transform.errToX2)
-                xunits = convertUnit(2,xunits) 
+                xunits = convertUnit(2, xunits)
                 self.graph._xaxis_transformed("%s^{2}" % xname, "%s" % xunits)
             if(self.xLabel == "x^(4)"):
                 item.transformX(transform.toX4, transform.errToX4)
-                xunits = convertUnit(4,xunits) 
+                xunits = convertUnit(4, xunits)
                 self.graph._xaxis_transformed("%s^{4}" % xname, "%s" % xunits)
             if(self.xLabel == "ln(x)"):
-                item.transformX(transform.toLogX,transform.errToLogX)
-                self.graph._xaxis_transformed("\ln\\ %s" % xname, "%s" % xunits) 
+                item.transformX(transform.toLogX, transform.errToLogX)
+                self.graph._xaxis_transformed("\ln\\ %s" % xname, "%s" % xunits)
             if(self.xLabel == "log10(x)"):
                 item.transformX(transform.toX_pos, transform.errToX_pos)
@@ -1810,5 +1777,5 @@
             if(self.xLabel == "log10(x^(4))"):
                 item.transformX(transform.toX4, transform.errToX4)
-                xunits = convertUnit(4,xunits) 
+                xunits = convertUnit(4, xunits)
                 self.graph._xaxis_transformed("%s^{4}" % xname, "%s" % xunits)
                 _xscale = 'log'
@@ -1819,11 +1786,11 @@
                 item.transformY(transform.toX, transform.errToX)
                 self.graph._yaxis_transformed("%s" % yname, "%s" % yunits)
-            if(self.yLabel == "log10(y)"): 
+            if(self.yLabel == "log10(y)"):
                 item.transformY(transform.toX_pos, transform.errToX_pos)
-                _yscale = 'log'  
+                _yscale = 'log'
                 self.graph._yaxis_transformed("%s" % yname, "%s" % yunits)
             if(self.yLabel == "y^(2)"):
-                item.transformY(transform.toX2, transform.errToX2)    
-                yunits = convertUnit(2, yunits) 
+                item.transformY(transform.toX2, transform.errToX2)
+                yunits = convertUnit(2, yunits)
                 self.graph._yaxis_transformed("%s^{2}" % yname, "%s" % yunits)
             if(self.yLabel == "1/y"):
@@ -1833,45 +1800,46 @@
             if(self.yLabel == "y*x^(4)"):
                 item.transformY(transform.toYX4, transform.errToYX4)
-                xunits = convertUnit(4, self.xaxis_unit) 
-                self.graph._yaxis_transformed("%s \ \ %s^{4}" % (yname,xname), 
-                                               "%s%s" % (yunits,xunits))
+                xunits = convertUnit(4, self.xaxis_unit)
+                self.graph._yaxis_transformed("%s \ \ %s^{4}" % (yname, xname),
+                                               "%s%s" % (yunits, xunits))
             if(self.yLabel == "1/sqrt(y)"):
                 item.transformY(transform.toOneOverSqrtX,
-                                transform.errOneOverSqrtX )
+                                transform.errOneOverSqrtX)
                 yunits = convertUnit(-0.5, yunits)
-                self.graph._yaxis_transformed("1/\sqrt{%s}" %yname, "%s" % yunits)
+                self.graph._yaxis_transformed("1/\sqrt{%s}" % yname,
+                                              "%s" % yunits)
             if(self.yLabel == "ln(y*x)"):
                 item.transformY(transform.toLogXY, transform.errToLogXY)
-                self.graph._yaxis_transformed("\ln (%s \ \ %s)" % (yname,xname),
-                                                "%s%s" % (yunits, self.xaxis_unit))
+                self.graph._yaxis_transformed("\ln (%s \ \ %s)" % (yname, xname),
+                                            "%s%s" % (yunits, self.xaxis_unit))
             if(self.yLabel == "ln(y*x^(2))"):
                 item.transformY( transform.toLogYX2, transform.errToLogYX2) 
-                xunits = convertUnit(2, self.xaxis_unit) 
-                self.graph._yaxis_transformed("\ln (%s \ \ %s^{2})" % (yname,xname), 
-                                               "%s%s" % (yunits,xunits))
+                xunits = convertUnit(2, self.xaxis_unit)
+                self.graph._yaxis_transformed("\ln (%s \ \ %s^{2})" % (yname, xname),
+                                               "%s%s" % (yunits, xunits))
             if(self.yLabel == "ln(y*x^(4))"):
                 item.transformY(transform.toLogYX4, transform.errToLogYX4)
-                xunits = convertUnit(4, self.xaxis_unit) 
-                self.graph._yaxis_transformed("\ln (%s \ \ %s^{4})" % (yname,xname), 
-                                               "%s%s" % (yunits,xunits))
+                xunits = convertUnit(4, self.xaxis_unit)
+                self.graph._yaxis_transformed("\ln (%s \ \ %s^{4})" % (yname, xname),
+                                               "%s%s" % (yunits, xunits))
             if(self.yLabel == "log10(y*x^(4))"):
                 item.transformY(transform.toYX4, transform.errToYX4)
-                xunits = convertUnit(4, self.xaxis_unit) 
-                _yscale = 'log' 
-                self.graph._yaxis_transformed("%s \ \ %s^{4}" % (yname,xname), 
-                                               "%s%s" % (yunits,xunits))
+                xunits = convertUnit(4, self.xaxis_unit)
+                _yscale = 'log'
+                self.graph._yaxis_transformed("%s \ \ %s^{4}" % (yname, xname),
+                                               "%s%s" % (yunits, xunits))
             if(self.viewModel == "Guinier lny vs x^(2)"):
                 item.transformX(transform.toX2, transform.errToX2)
-                xunits = convertUnit(2, xunits) 
-                self.graph._xaxis_transformed("%s^{2}" % xname,  "%s" % xunits)
-                item.transformY(transform.toLogX,transform.errToLogX )
-                self.graph._yaxis_transformed("\ln\ \ %s" % yname,  "%s" % yunits)
+                xunits = convertUnit(2, xunits)
+                self.graph._xaxis_transformed("%s^{2}" % xname, "%s" % xunits)
+                item.transformY(transform.toLogX,transform.errToLogX)
+                self.graph._yaxis_transformed("\ln\ \ %s" % yname, "%s" % yunits)
             if(self.viewModel == "Porod y*x^(4) vs x^(4)"):
                 item.transformX(transform.toX4, transform.errToX4)
-                xunits = convertUnit(4, self.xaxis_unit) 
+                xunits = convertUnit(4, self.xaxis_unit)
                 self.graph._xaxis_transformed("%s^{4}" % xname, "%s" % xunits)
                 item.transformY(transform.toYX4, transform.errToYX4)
-                self.graph._yaxis_transformed("%s \ \ %s^{4}" % (yname,xname), 
-                                               "%s%s" % (yunits,xunits))
+                self.graph._yaxis_transformed("%s \ \ %s^{4}" % (yname, xname),
+                                               "%s%s" % (yunits, xunits))
             item.transformView()
   
@@ -1881,24 +1849,20 @@
         xname = self.graph.prop["xlabel"]
         xunits = ''
-        #self.yaxis_label = yname
-        #self.yaxis_unit = yunits
-        #self.xaxis_label = xname
-        #self.xaxis_unit = xunits
                 
-        self.resetFitView()   
-        self.prevXtrans = self.xLabel 
-        self.prevYtrans = self.yLabel  
+        self.resetFitView()
+        self.prevXtrans = self.xLabel
+        self.prevYtrans = self.yLabel
         self.graph.render(self)
         self.set_xscale(_xscale)
         self.set_yscale(_yscale)
         
-        self.xaxis(xname, xunits, self.xaxis_font, 
+        self.xaxis(xname, xunits, self.xaxis_font,
                    self.xaxis_color, self.xaxis_tick)
-        self.yaxis(yname, yunits, self.yaxis_font, 
+        self.yaxis(yname, yunits, self.yaxis_font,
                    self.yaxis_color, self.yaxis_tick)
         self.subplot.texts = self.textList
         self.subplot.figure.canvas.draw_idle()
         
-    def onFitDisplay(self, tempx, tempy, xminView, 
+    def onFitDisplay(self, tempx, tempy, xminView,
                      xmaxView, xmin, xmax, func):
         """
@@ -1928,14 +1892,14 @@
             item.onFitRange(None, None)
         # Create new data plottable with result
-        self.fit_result.x = [] 
+        self.fit_result.x = []
         self.fit_result.y = []
-        self.fit_result.x = tempx  
-        self.fit_result.y = tempy     
+        self.fit_result.x = tempx
+        self.fit_result.y = tempy
         self.fit_result.dx = None
         self.fit_result.dy = None
         #Load the view with the new values
         self.fit_result.reset_view()
-        # Add the new plottable to the graph 
-        self.graph.add(self.fit_result) 
+        # Add the new plottable to the graph
+        self.graph.add(self.fit_result)
         self.graph.render(self)
         self._offset_graph()
@@ -1952,9 +1916,9 @@
         dial = LabelDialog(None, -1, 'Modify Window Title', old_caption)
         if dial.ShowModal() == wx.ID_OK:
-            new_caption = dial.getText() 
+            new_caption = dial.getText()
           
             # send to guiframe to change the panel caption
-            caption = self.parent.on_change_caption(self.window_name, 
-                                                    old_caption, new_caption) 
+            caption = self.parent.on_change_caption(self.window_name,
+                                                    old_caption, new_caption)
             
             # also set new caption in plot_panels list
@@ -1967,5 +1931,5 @@
     def onResetGraph(self, event):
         """
-        Reset the graph by plotting the full range of data 
+        Reset the graph by plotting the full range of data
         """
         list = []
@@ -2012,7 +1976,6 @@
             print "Error in copy Image"
 
-
-            
-#---------------------------------------------------------------        
+ 
+#---------------------------------------------------------------
 class NoRepaintCanvas(FigureCanvasWxAgg):
     """
@@ -2036,7 +1999,5 @@
             self.realize()
         if self._drawn < 2:
-            self.draw(repaint = False)
+            self.draw(repaint=False)
             self._drawn += 1
         self.gui_repaint(drawDC=wx.PaintDC(self))
-           
-
Index: plottools/src/danse/common/plottools/PropertyDialog.py
===================================================================
--- plottools/src/danse/common/plottools/PropertyDialog.py	(revision b4da6dff237ad0ddb8058807b5fcbb4332c65147)
+++ plottools/src/danse/common/plottools/PropertyDialog.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -1,5 +1,2 @@
-#!/usr/bin/python
-
-# myDialog.py
 """
 """
@@ -15,5 +12,5 @@
         """
         self.parent = parent
-        vbox  = wx.BoxSizer(wx.VERTICAL)
+        vbox = wx.BoxSizer(wx.VERTICAL)
         sizer = wx.GridBagSizer(5,5)
 
@@ -42,5 +39,5 @@
         x_size += self.view.GetSize()[0]
         self.view.SetMinSize((160, 30))
-        sizer.Add(self.view, (iy,ix), (1,1), 
+        sizer.Add(self.view, (iy,ix), (1,1),
                   wx.EXPAND|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
         self.SetMinSize((x_size, 50))
@@ -52,6 +49,6 @@
         sizer_button.Add((20, 20), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         sizer_button.Add(btOk, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
-        sizer_button.Add(btCancel, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)        
-        vbox.Add(sizer_button, 0, 
+        sizer_button.Add(btCancel, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
+        vbox.Add(sizer_button, 0,
                  wx.EXPAND|wx.TOP|wx.BOTTOM|wx.ADJUST_MINSIZE, 10)
         # scale value for x
@@ -77,5 +74,5 @@
         self.yvalue.Insert("ln(y*x^(4))", 9)
         self.yvalue.Insert("log10(y*x^(4))", 10)
-        # type of view or model used 
+        # type of view or model used
         self.view.SetValue("--")
         self.view.Insert("--", 0)
@@ -83,5 +80,5 @@
         self.view.Insert("Porod y*x^(4) vs x^(4)", 2)
         self.SetSizer(vbox)
-        self.Fit()        
+        self.Fit()
         self.Centre()
            
@@ -97,11 +94,2 @@
         return self.xvalue.GetValue(), self.yvalue.GetValue(),\
                             self.view.GetValue()
-        
-
-if __name__ == "__main__": 
-    app = wx.App()
-    dialog = Properties(None, -1, 'Properties')
-    dialog.ShowModal()
-    app.MainLoop()
-
-
Index: plottools/src/danse/common/plottools/SizeDialog.py
===================================================================
--- plottools/src/danse/common/plottools/SizeDialog.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/SizeDialog.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -1,3 +1,4 @@
 import wx
+
 
 class SizeDialog(wx.Dialog):
@@ -5,6 +6,4 @@
         wx.Dialog.__init__(self, parent, id, title, size=(300, 175))
 
-        #panel = wx.Panel(self, -1)
-        
         mainbox = wx.BoxSizer(wx.VERTICAL)
         vbox = wx.BoxSizer(wx.VERTICAL)
@@ -12,9 +11,9 @@
         hbox = wx.BoxSizer(wx.HORIZONTAL)
         text1 = "Enter in a custom size (float values > 0 accepted)"
-        msg = wx.StaticText(self, -1, text1,(30,15), style=wx.ALIGN_CENTRE)
+        msg = wx.StaticText(self, -1, text1, (30,15), style=wx.ALIGN_CENTRE)
         msg.SetLabel(text1)
         self.myTxtCtrl = wx.TextCtrl(self, -1, '', (100, 50))
         
-        textbox.Add(self.myTxtCtrl, flag=wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 
+        textbox.Add(self.myTxtCtrl, flag=wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE,
                  border=10, proportion=2)
         vbox.Add(msg, flag=wx.ALL, border=10, proportion=1)
@@ -23,14 +22,14 @@
         self.myTxtCtrl.SetValue(str(10))
         
-        okButton = wx.Button(self,wx.ID_OK, 'OK', size=(70, 25))
-        closeButton = wx.Button(self,wx.ID_CANCEL, 'Cancel', size=(70, 25))
+        okButton = wx.Button(self, wx.ID_OK, 'OK', size=(70, 25))
+        closeButton = wx.Button(self, wx.ID_CANCEL, 'Cancel', size=(70, 25))
 
         hbox.Add(okButton)
-        hbox.Add((20,20))
+        hbox.Add((20, 20))
         hbox.Add(closeButton)
         
         mainbox.Add(vbox, flag=wx.ALL, border=10)
         mainbox.Add(wx.StaticLine(self), 0, wx.ALL|wx.EXPAND, 5)
-        mainbox.Add(hbox, flag=wx.CENTER, 
+        mainbox.Add(hbox, flag=wx.CENTER,
                     border=10)
         self.SetSizer(mainbox)
@@ -41,3 +40,2 @@
         """
         return self.myTxtCtrl.GetValue()
-    
Index: plottools/src/danse/common/plottools/binder.py
===================================================================
--- plottools/src/danse/common/plottools/binder.py	(revision 0e553fd2808f3d9036eef66181f51921babd5081)
+++ plottools/src/danse/common/plottools/binder.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -2,4 +2,6 @@
 Extension to MPL to support the binding of artists to key/mouse events.
 """
+import sys
+
 
 class Selection:
@@ -12,4 +14,5 @@
     artist = None
     prop = {}
+    
     def __init__(self, artist=None, prop={}):
         self.artist, self.prop = artist, self.prop
@@ -23,4 +26,5 @@
     def __nonzero__(self):
         return self.artist is not None
+
 
 class BindArtist:
@@ -66,11 +70,4 @@
             ]
             
-
-        # Turn off picker if it hasn't already been done
-        #try:
-        #    canvas.mpl_disconnect(canvas.button_pick_id)
-        #    canvas.mpl_disconnect(canvas.scroll_pick_id)
-        #except: 
-        #    pass
         self._current = None
         self._actions = {}
@@ -121,7 +118,8 @@
         In case we need to disconnect from the canvas...
         """
-        try: 
+        try:
             for cid in self._connections: self.canvas.mpl_disconnect(cid)
-        except: 
+        except:
+            print "Error disconnection canvas: %s" % sys.exc_value
             pass
         self._connections = []
@@ -165,5 +163,5 @@
             shift,control,alt,meta are flags which are true if the
                 corresponding key is pressed at the time of the event.
-            details is a dictionary of artist specific details, such as the 
+            details is a dictionary of artist specific details, such as the
                 id(s) of the point that were clicked.
                 
@@ -182,5 +180,5 @@
         TODO: Attach multiple callbacks to the same event?
         TODO: Clean up interaction with toolbar modes
-        TODO: push/pushclear/pop context so that binding changes for 
+        TODO: push/pushclear/pop context so that binding changes for
              the duration
         TODO:   e.g., to support ? context sensitive help
@@ -193,9 +191,7 @@
         # Register the trigger callback
         self._actions[trigger][artist] = action
-        #print "==> added",artist,[artist],"to",trigger,":",
-        #self._actions[trigger].keys()
 
         # Maintain a list of all artists
-        if artist not in self._artists: 
+        if artist not in self._artists:
             self._artists.append(artist)
 
@@ -239,10 +235,8 @@
         # TODO: sort by zorder of axes then by zorder within axes
         self._artists.sort(cmp=lambda x, y: cmp(y.zorder, x.zorder))
-        # print "search"," ".join([str(h) for h in self._artists])
         found = Selection()
-        #print "searching in",self._artists
         for artist in self._artists:
             # TODO: should contains() return false if invisible?
-            if not artist.get_visible(): 
+            if not artist.get_visible():
                 continue
             # TODO: optimization - exclude artists not inaxes
@@ -255,5 +249,4 @@
                 found.artist, found.prop = artist, prop
                 break
-        #print "found",found.artist
         
         # TODO: how to check if prop is equal?
@@ -296,10 +289,8 @@
                 x, y = transform.inverse_xy_tup((x, y))
 
-               
             event.xdata, event.ydata = x, y
             self.trigger(self._hasclick, 'drag', event)
         else:
             found = self._find_current(event)
-            #print "found",found.artist
             self.trigger(found, 'motion', event)
 
@@ -312,7 +303,4 @@
         # Check for double-click
         event_time = time.time()
-        #print event_time,self._last_time,self.dclick_threshhold
-        #print (event_time > self._last_time + self.dclick_threshhold)
-        #print event.button,self._last_button
         if (event.button != self._last_button) or \
                 (event_time > self._last_time + self.dclick_threshhold):
@@ -376,5 +364,5 @@
         # TODO: Can we tab between items?
         # TODO: How do unhandled events get propogated to axes, figure and
-        # TODO: finally to application?  Do we need to implement a full tags 
+        # TODO: finally to application?  Do we need to implement a full tags
         # TODO: architecture a la Tk?
         # TODO: Do modifiers cause a grab?  Does the artist see the modifiers?
@@ -408,3 +396,2 @@
         found = self._find_current(event)
         self.trigger(found, 'scroll', event)
-
